Bug 11399 - python-base conflicts with python-modules
: python-base conflicts with python-modules
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-base)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-06 23:43 by
Modified: 2008-10-22 11:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-06 23:43:18
я не уверен, что это баг именно на -base, а не на -modules, это зависит от 
политики. Но так или иначе, а эти два пакета пересекаются по модулям sre*:

$ rpm -qpl python-base-2.4.4-alt10.i586.rpm 
python-modules-2.4.4-alt10.i586.rpm | grep sre
/usr/lib/python2.4/sre.py
/usr/lib/python2.4/sre.pyc
/usr/lib/python2.4/sre.pyo
/usr/lib/python2.4/sre_compile.py
/usr/lib/python2.4/sre_compile.pyc
/usr/lib/python2.4/sre_compile.pyo
/usr/lib/python2.4/sre_constants.py
/usr/lib/python2.4/sre_constants.pyc
/usr/lib/python2.4/sre_constants.pyo
/usr/lib/python2.4/sre_parse.py
/usr/lib/python2.4/sre_parse.pyc
/usr/lib/python2.4/sre_parse.pyo
/usr/lib/python2.4/sre.py
/usr/lib/python2.4/sre.pyc
/usr/lib/python2.4/sre.pyo
/usr/lib/python2.4/sre_compile.py
/usr/lib/python2.4/sre_compile.pyc
/usr/lib/python2.4/sre_compile.pyo
/usr/lib/python2.4/sre_constants.py
/usr/lib/python2.4/sre_constants.pyc
/usr/lib/python2.4/sre_constants.pyo
/usr/lib/python2.4/sre_parse.py
/usr/lib/python2.4/sre_parse.pyc
/usr/lib/python2.4/sre_parse.pyo
------- Comment #1 From 2007-04-07 00:59:39 -------
Reassigned to introducer.
------- Comment #2 From 2007-04-07 19:42:21 -------
Да, эти пакеты пересекаются по модулям sre*, но не конфликтуют.
На канале я обещал выписать чек на $3.14 тому, кто первый найдет этот баг.
Не знаю, были Вы на канале в это время или нет. :)
------- Comment #3 From 2007-04-09 13:42:44 -------
Нет, я на канале не бываю -- я не использую irc. Чек можете передать на 
конференции в Обнинске или на фесте ;) Баг нашёлся, правда, сам -- при сборке 
embedded-системы из Сизифа.
------- Comment #4 From 2008-10-22 11:13:15 -------
Fixed in 2.4.4-alt11 (Apr 08 2007).